cubrid_set_add
cubrid_set_db_parameter
CUBRID Functions
PHP Manual

# cubrid_set_autocommit

Set autocommit mode of the connection

### Description

bool cubrid_set_autocommit ( resource `$conn_identifier` , bool `$mode` )

The cubrid_set_autocommit function is used to set the CUBRID database auto-commit mode of the current database connection.

In CUBRID PHP, auto-commit mode is disabled by default for transaction management. When auto-commit mode is truned from off to on, any pending work is automatically committed.

### Parameters

`conn_identifier`

  Connection identifier.

`mode`

  Auto-commit mode. The following constants can be used:

  - `CUBRID_AUTOCOMMIT_FALSE`
  - `CUBRID_AUTOCOMMIT_TRUE`

### Return Values

`TRUE`, when process is successful.

`FALSE`, when process is unsuccessful.

### See Also

- cubrid_get_autocommit
- cubrid_commit